Author Topic: Running the CentOS 6.0 QubeGUI on CentOS versions 6.1 and greater  (Read 3603 times)

jburk

  • Administrator
  • *****
  • Posts: 493
There is a known bug in CentOS 6.0 (Redhat's, not ours) that was fixed in 6.1, but this prevents the QubeGUI that was built for CentOS 6.0 from running on 6.1 or 6.2.

You will see a lot of messages like:

(qube:21581): GdkPixbuf-WARNING **: Error loading XPM image loader: Image type 'xpm' is not supported
(qube:21581): Gdk-CRITICAL **: gdk_drawable_get_size: assertion `GDK_IS_DRAWABLE (drawable)' failed


and finally:
Gdk-ERROR **: The program 'qube' received an X Window System error.

The workaround is fairly simple: you need to (as root) create a symlink in /etc/gtk-2.0:

cd /etc/gtk-2.0/
ln -s x86_64-redhat-linux-gnu x86_64-unknown-linux-gnu


The issue is that on CentOS 6.0, the GTK-2.0 rpm creates the x86_64-unknown-linux-gnu directory, but on 6.1 and above, it creates the x86_64-redhat-linux-gnu directory.  So on 6.1 and greater, the GUI is looking for the x86_64-unknown-linux-gnu (since it was built on CentOS 6.0), but it only finds the "properly" named x86_64-redhat-linux-gnu.  Creating the symlink should allow the QubeGUI built on CentOS 6.0 to find the proper GTK-2 modules.

Our thanks to Michael Graf for doing all the legwork on this and reporting it so succinctly.